Subject: [bug#35483] gnu: u-boot-tools: Only run full test suite on x86.

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 30 Apr 2019 14:08:10 -0700

On 2019-04-30, Danny Milosavljevic wrote:
> On Mon, 29 Apr 2019 16:32:40 -0700
> Vagrant Cascadian <[email-masked]> wrote:
>
>> I neglected to mention in my initial submission that the test suite has
>> failed on non-x86 architectures since I started testing u-boot on Guix a
>> year or so ago...
>> 
>> It blocks working support for veyron-speedy/Asus C201, and that would be
>> very nice to have fixed for 1.0, of course!
>> 
>> I may need to update the patch to exclude i686-linux from the full test
>> suite, as it seems with u-boot 2019.04 to also fail with 32-bit x86
>> making some 64-bit assumptions...
>> 
>> Thanks for the review, if you can!
>
> I've reviewed it and found that also on i686 tests are not succeeding.
> So I've changed the check to only enable the respective parts of the tests
> for x86_64 and pushed it to guix master as
> commit 6f5be83cd7158e678602d62c27f26363df3e1649.  Thanks!
>
> I'm not sure whether I should still cherry-pick it for 1.0, so I didn't yet.

I got confirmation from serveral people on irc to cherry-pick it for
1.0, and with my newfound powers... have pushed it to the version-1.0.0
branch!

live well,
  vagrant